#ifndef StatistikKlasse_H
#define StatistikKlasse_H

#include <ReferenceCounter.h>

class StatistikV : public virtual Framework::ReferenceCounter
{
private:

public:
    virtual ~StatistikV()
    {}
    // nicht constant
    virtual void klientOffline( int accountId ) = 0;
    virtual void statistikAnfrage( int accountId, short len, char *bytes ) = 0;
    virtual void run() = 0;
};

#endif